%define major      1
%define libname    %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} -d

Name:           flite
Version:        2.2
Release:        %mkrel 4
Summary:        Small, fast speech synthesis engine (text-to-speech)

Group:          Sound/Utilities
License:        MIT
URL:            http://festvox.org/flite/
Source0:        https://github.com/festvox/flite/archive/%{name}-%{version}.tar.gz
Source1:        flite.pc.in
Patch0:         flite-2.2-readd-pkgconfig.patch

BuildRequires:  texinfo
BuildRequires:  texi2html
BuildRequires:  ed
BuildRequires:  pkgconfig(alsa)
BuildRequires:  autoconf


%description
Flite (festival-lite) is a small, fast run-time speech synthesis engine
developed at CMU and primarily designed for small embedded machines and/or
large servers. Flite is designed as an alternative synthesis engine to
Festival for voices built using the FestVox suite of voice building tools.

%package -n %{libname}
Summary:	Shared libraries for flite
Group:		System/Libraries

%description -n %{libname}
Shared libraries for Flite, a small, fast speech synthesis engine.

%package -n %{libnamedev}
Summary:        Development files for flite
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for Flite, a small, fast speech synthesis engine.

%prep
%setup -q
cp %{SOURCE1} .
%autopatch -p1

%build
export LDFLAGS="-lm"
autoreconf -vfi
%configure \
	--enable-shared \
	--with-audio=alsa

%make_build -j1

# Build documentation
# fails with "sed: can't read html/*.html: No such file or directory"
# make -C doc %{name}.html

%install
%make_install \
	INSTALLBINDIR=%{_bindir} \
	INSTALLLIBDIR=%{_libdir} \
	INSTALLINCDIR=%{_includedir}/%{name}

find %{buildroot} -name "*.a" -delete

%files
%doc ACKNOWLEDGEMENTS README.md
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %{libnamedev}
%{_libdir}/lib%{name}*.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/flite.pc


%changelog
* Sat Dec 24 2022 papoteur <papoteur> 2.2-4.mga9
+ Revision: 1926406
- disable build of doc, failing

* Thu Nov 17 2022 kekepower <kekepower> 2.2-3.mga9
+ Revision: 1908547
- Build on a single core/thread

* Sat Mar 19 2022 umeabot <umeabot> 2.2-2.mga9
+ Revision: 1799535
- Mageia 9 Mass Rebuild

* Wed Nov 18 2020 luigiwalser <luigiwalser> 2.2-1.mga8
+ Revision: 1647111
- 2.2
- update URLs
- remove upstreamed patches
- re-add pkgconfig file

* Thu Feb 13 2020 umeabot <umeabot> 2.0.0-5.mga8
+ Revision: 1512316
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-4.mga7
+ Revision: 1297726
- Mageia 7 Mass Rebuild

* Sat May 21 2016 daviddavid <daviddavid> 2.0.0-3.mga6
+ Revision: 1017309
- add back + redo patch to fix linking (parts from PLD and Debian)
  * as it breaks flightgear and gstreamer1.0-plugins-bad build

* Sat May 14 2016 wally <wally> 2.0.0-2.mga6
+ Revision: 1015483
- fix lib pkg name

* Sat May 14 2016 dlucio <dlucio> 2.0.0-1.mga6
+ Revision: 1015066
- 2.0.0

* Tue Jan 12 2016 danf <danf> 1.4-8.mga6
+ Revision: 921994
- Added new-alsa.patch to fix detection of libalsa2 1.1.0

* Wed Oct 15 2014 umeabot <umeabot> 1.4-7.mga5
+ Revision: 749725
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-6.mga5
+ Revision: 679238
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 luigiwalser <luigiwalser> 1.4-5.mga5
+ Revision: 583619
- add patch from fedora to fix CVE-2014-0027

* Sat Oct 19 2013 umeabot <umeabot> 1.4-4.mga4
+ Revision: 532214
- Mageia 4 Mass Rebuild

* Sun Aug 18 2013 wally <wally> 1.4-3.mga4
+ Revision: 467552
- split out libs
- add patch to fix linking (parts from PLD and Debian)
- rediff texi2html patch to apply with %%apply_patches
- clean .spec a bit

* Fri Jan 11 2013 umeabot <umeabot> 1.4-2.mga3
+ Revision: 350552
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 barjac <barjac> 1.4-1.mga3
+ Revision: 323266
- change group to new policy
- while attempting to fix build failures updated to 1.4
- removed obsolete patches
- cleaned spec
- patched doc/Makefile to fix two build issues with new texi2html-5.0
- added some unpackaged static libs in -dev package

* Sun Mar 25 2012 dlucio <dlucio> 1.3-1.mga2
+ Revision: 226320
- Group applicatioin fix
- imported package flite


* Mon Mar 13 2011 Francois Aucamp <faucamp@fedoraproject.org> - 1.3-16
- Added patch declaring explicit libm linking dependency (RHBZ #564899)
- Updated source and URL tags

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 21 2009 Robert Scheck <robert@fedoraproject.org> - 1.3-13
- Removed moving of non-existing documentation flite directory

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Oct 11 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.3-11
- Fix for RHEL 4
 
* Fri Jul 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3-10
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.3-9
- Autorebuild for GCC 4.3

* Tue Nov 14 2006 Francois Aucamp <faucamp@csir.co.za> - 1.3-8
- Added comment to %%build stating why "_smp_flags" isn't used with make

* Mon Nov 13 2006 Francois Aucamp <faucamp@csir.co.za> - 1.3-7
- Modified alsa support patch file to patch "configure.in" instead of "configure"
- Added "autoconf" step to %%build
- Added BuildRequires: autoconf
- Fixed patch backup file suffixes
- Renamed patch files to a more standard format
- Moved header files from /usr/include to /usr/include/flite
- Added -p option to all cp operations (to preserve timestamps)

* Sun Nov 12 2006 Francois Aucamp <faucamp@csir.co.za> - 1.3-6
- Recreated patch to allow shared libraries to build correctly (sharedlibs.patch)
- "flite" and "flite_time" binaries now link to flite shared libraries (sharedlibs.patch)
- Simplified the documentation patch filename
- Modified patch steps in %%prep to create backup files with different suffixes
- Removed "_smp_flags" macro from %%build for all archs

* Fri Oct 20 2006 Francois Aucamp <faucamp@csir.co.za> - 1.3-5
- Modified "build" so that "_smp_flags" is only used for i386 arch

* Mon Oct 10 2006 Francois Aucamp <faucamp@csir.co.za> - 1.3-4
- Removed "_smp_flags" macro from "build" for x86_64 arch

* Tue Sep 26 2006 Francois Aucamp <faucamp@csir.co.za> - 1.3-3
- Added README-ALSA.txt (Source1)
- Removed subpackage: flite-devel-static
- Modified shared libraries patch (Patch0) to prevent building static libraries
- Renamed patch files: Patch0, Patch1

* Tue Sep 26 2006 Francois Aucamp <faucamp@csir.co.za> - 1.3-2
- Added flite 1.3 ALSA patch (Patch2) by Lukas Loehrer - thanks Anthony Green for pointing it out
- Added configure option: --with-audio=alsa
- Added BuildRequires: alsa-lib-devel

* Fri Sep 22 2006 Francois Aucamp <faucamp@csir.co.za> - 1.3-1
- Initial RPM build
